---
title: {componentType} - {componentLabel}
component: {componentType}
label: {componentLabel}
description: {componentDescription}
source: https://github.com/openhab/openhab-webui/edit/main/bundles/org.openhab.ui/doc/components/{componentType}.md
prev: /docs/ui/components/
---

# {componentType} - {componentLabel}

<!-- Put a screenshot here if relevant:
![](./images/{componentType}/header.jpg)
-->

[[toc]]

<!-- Note: you can overwrite the definition-provided description and add your own intro/additional sections instead -->
<!-- DO NOT REMOVE the following comments if you intend to keep the definition-provided description -->
<!-- GENERATED componentDescription -->
{componentDescription}
<!-- GENERATED /componentDescription -->

## Configuration

<!-- DO NOT REMOVE the following comments -->
<!-- GENERATED props -->
{props}
<!-- GENERATED /props -->

<!-- If applicable describe how properties are forwarded to a underlying component from Framework7, ECharts, etc.:
### Inherited Properties

-->

<!-- If applicable describe the slots recognized by the component and what they represent:
### Slots

#### `default`

The contents of the {componentType}.

-->

<!-- Add as many examples as desired - put the YAML in a details container when it becomes too long (~150/200+ lines):
## Examples

### Example 1

![](./images/{componentType}/example1.jpg)

```yaml
component: {componentType}
config:
  prop1: value1
  prop2: value2
```

### Example 2

![](./images/{componentType}/example2.jpg)

::: details YAML
```yaml
component: {componentType}
config:
  prop1: value1
  prop2: value2
slots
```
:::

-->

<!-- Try to clean up URLs to the forum (https://community.openhab.org/t/<threadID>[/<postID>] should suffice)
## Community Resources

- [Community Post 1](https://community.openhab.org/t/12345)
- [Community Post 2](https://community.openhab.org/t/23456)
-->
